#!/usr/bin/perl

require "./config.pm";
require "./siteup.pm";

$CURDIR =~ /^(.*)(\\|\/)(.+)$/;
$pagetitle = $3;

$directories .= qq{&#149; <a title="go up to $UPDIR" href="menu.cgi?act=cd&dir=$1"><b>..</b></a><br>} if ($DOCUMENT_ROOT ne $CURDIR);
opendir (DIR, $CURDIR);
while ($file = readdir(DIR)) { (-d "$CURDIR$DIRSEPARATOR$file") ? push (@dirs, $file) : push (@files, $file) }
@dirs = sort @dirs; @files = sort @files;
foreach $file(@dirs)	{	$directories .= qq{&#149; <a title="go to directory '$file'" href="menu.cgi?act=cd&dir=$CURDIR$DIRSEPARATOR$file"><b>$file</b></a><br>} if ($file ne '.' and $file ne '..') }
foreach $file(@files)
{
	if (grep($file =~ /\.$_$/i , split(/\,/, "$TEXTFILES,$HTMLFILES"))) { $directories .= qq{&#149; <a href="edit.cgi?dir=$CURDIR&file=$file" title="click to edit file" target="ls">$file</a><br>} }
	else { $directories .= "&#149; $file<br>" }
}
closedir(DIR);

print qq{Expires: Mon, 06 May 1996 04:57:00 GMT\nContent-type: text/html\n\n
<html>
<head>
<title>indexsoft Site-UP CMS</title>
<style type="text/css">
	body,p { font-size : 13px; color : white; font-family : Arial, Helvetica, sans-serif; }
	body a { text-decoration : none; color : white; }
	p.group a { text-decoration : none; color : #EFEFEF; font-size : 12px; }
</style>
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript">
<!--
	var curdir = '$CURDIRESCAPED';
	if (!top.frames['ls']) { self.location = 'index.cgi'; }
//-->
</SCRIPT>
</head>
<body bgcolor="#5588BB">
<table height="100%" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
	<td valign="top">
	<h4><a href="#" onclick="top.frames['ls'].location = 'ls.cgi?dir=' + top.frames['menu'].curdir; return false;" title="Click to synchronize current directory with directory selected in menu">$pagetitle</a></h4>
	<p>$directories</p>
	</td>
</tr>
<tr>
	<td valign="bottom" align="center"><p>&nbsp;</p><p class=group><a href="http://www.indexsoft.com">www.indexsoft.com</a></p></td>
</tr>
</table>
</body>
</html>};

