#!/usr/bin/perl

require "./config.pm";
require "./siteup.pm";

print &TopOfPage();
print &JavaScripts_ls();
print &Header(qq{Edit file $P{'file'} at $P{'dir'}});

open(IN, "$P{'dir'}$DIRSEPARATOR$P{'file'}") || print &HoldError("can not open file $P{'dir'}$DIRSEPARATOR$P{'file'}");
binmode('IN'); grep ($filecontent .= $_, <IN>); close IN;

if (grep($P{'file'} =~ /\.$_$/i , split(/\,/, $HTMLFILES))) { $htmleditor = 1; }
$htmleditor = 1 if $P{'editor'} eq 'html';
$htmleditor = 0 if $P{'editor'} eq 'text';

if ($htmleditor)
{
	$filecontent_top = $1 if $filecontent =~ s/^(.*<body[^<>]*>)//is;
	$filecontent_bot = $1 if $filecontent =~ s/(<\/body *>.*$)//is;
}

$filecontent =~ s'&'&#38;'g;
$filecontent =~ s'<'&#60;'g;
$filecontent =~ s'>'&#62;'g;

print qq{<form action="ls.cgi" method="post" name="editfileform" onsubmit="SubmitForm(document.editfileform.menudir)">
<input type="hidden" name="act" value="savefile">
<input type="hidden" name="dir" value="$CURDIR">
<input type="hidden" name="menudir" value="$CURDIR">
Save file as:<br>
<input type="text" name="file" value="$P{'file'}" size="50" style="width:100%;"><br><br>};

if ($htmleditor)
{
	print qq{Document header:<br><textarea cols="60" rows="4" name="filecontent_top" wrap="off" style="width:100%">$filecontent_top</textarea><br><br>};
	print &HtmlAreaInit();
}

print qq{Document content | }
.(($htmleditor)
?(qq{<a href="edit.cgi?dir=$CURDIR&file=$P{'file'}&editor=text">switch to text editor</a>}.&HtmlAreaEditor('filecontent'))
:(qq{<a href="edit.cgi?dir=$CURDIR&file=$P{'file'}&editor=html">switch to WYSIWYG editor</a>}))
.qq{<br><textarea cols="60" rows="25" name="filecontent" wrap="off" style="width:100%">$filecontent</textarea><br><br>};

if ($htmleditor)
{
	print qq{Document bottom:<br><textarea cols="60" rows="4" name="filecontent_bot" wrap="off" style="width:100%">$filecontent_bot</textarea><br><br>};
}

print qq{<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
<td>
	<p><input type="submit" class="submit" value="Save changes"></form></p>
</td>
<td align="center">
	<p><form action="ls.cgi" method="post">
	<input type="hidden" name="act" value="newtemplate">
	<input type="hidden" name="dir" value="$CURDIR">
	<input type="hidden" name="file" value="$P{'file'}">
	<input type="submit" class="submit" value="Save as template">
	</form></p>
</td>
<td align="right">
	<p><form action="ls.cgi" method="post">
	<input type="hidden" name="act" value="deletefiles">
	<input type="hidden" name="dir" value="$CURDIR">
	<input type="hidden" name="file" value="$P{'file'}">
	<input type="submit" class="submit" value="Delete file">
	</form></p>
</td>
</tr></table>
};

print &BottomOfPage();

